# std::_List_node_base Struct Reference

Inheritance diagram for std::_List_node_base:

List of all members.

## Detailed Description

Definition at line 75 of file stl_list.h.

## Public Member Functions

- void hook (_List_node_base *const __position)
- void reverse ()
- void transfer (_List_node_base *const __first, _List_node_base *const __last)
- void unhook ()

## Static Public Member Functions

- static void swap (_List_node_base &__x, _List_node_base &__y)

## Public Attributes

- _List_node_base * _M_next
- _List_node_base * _M_prev

## Member Data Documentation

_List_node_base* std::_List_node_base::_M_next

Self-explanatory.

Definition at line 77 of file stl_list.h.

Referenced by std::list< _Tp, _Alloc >::erase().

_List_node_base* std::_List_node_base::_M_prev

Self-explanatory.

Definition at line 78 of file stl_list.h.

The documentation for this struct was generated from the following file:

- stl_list.h